Jump to content
Sign in to follow this  
rinon

Contrib Installer

Recommended Posts

Hi,

 

On the tools menu on the admin pages. How do I fix BOX_CONTRIB_INSTALLER?

 

Thank you,

Michael


Michael

Share this post


Link to post
Share on other sites
Hi

 

version0.4 = contrib install 0.4

 

sorry

simon

 

Thanks Simon, but now already ver 1.0.6, latest version. y need to install old version? or u mean install ver 0.4, old version first, then update with version 1.0.6? but how?

 

can you pls give me more details on that, Pls?

 

thanks

Share this post


Link to post
Share on other sites

I have a highly moded site - well, not highly for some but for me - and I was wondering if there's a way that I can still install this on my site.... any help would be greatly appreciated!


Joel Gallant

Share this post


Link to post
Share on other sites
I have a highly moded site - well, not highly for some but for me - and I was wondering if there's a way that I can still install this on my site.... any help would be greatly appreciated!

 

Basically, until this is improved and some more tools are added, you can't. :( Sorry, but it won't really work on a modded install.

 

RE: All Bugs - I haven't gotten a chance to look at any of these. Sorry about that. I'll try to look into these in the very near future, I haven't had really any time at all to work on this lately.

 

RE: Questions about the .sql file. This file is not needed any longer. The README that refers to it is outdated and is just kept for documentation's sake of the original version of Contribution Control & Bookmark MOD 0.1.2 which originally gave me the idea for the Contrib Installer. This contribution is included (Vlad, correct me here if I'm wrong) in the base installation of the 1.0 and greater versions of the Contrib Installer.

 

Hope that answers some of your questions, and I'll try to get some time to work on getting rid of these bugs very soon.

 

- Rinon

Share this post


Link to post
Share on other sites

Hi,

because of questions about installation i have Uploaded Contrib Installer 1.0.7

 

Contrib Installer have selfinstall functions and you don't need to do any changes by hand from readme.txt.

This file was removed in 1.0.7 as an old.

In this version was added How_To_UpDate.txt, How_To_UnInstall.txt, How_To_Install.txt

 

What was changed since 1.0.6:

 

- Changed function linebreak_view() to view a real linebreaks which we tryes to find but not linebreakes from xml-file.

- Changed in check_conflicts.php findreplace and addcode which now if we can't find a string

delete whiespaces and linebreakes and research again. If can't find second time we print a message.

So we can resolve some conflicts automaticly!!!

Also changed tag_actoins for this feature can work.

 

- Added How_To_UpDate.txt, How_To_UnInstall.txt, How_To_Install.txt

 

- Removed *.jpg from Contrib Installer package (~150 kb)

 

- Removed Install instructions from readme.txt

 

:thumbsup:


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites
I get this error on this my installer page

 

Checking config file: File install.xml is valid.Checking permissions: Permissions is OK.

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 82

 

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 82

 

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 138

 

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 138

 

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 138

 

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 138

Checking conflicts:No conflicts.Backup: 6 files to /home/********/public_html/admin/backups/Contrib_Installer_1.0.6/PHP runtime messages: Done.

 

1064 - You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1

 

Help me fix these.

 

Thank you,

Michael

 

You must update your PHP to 5.0 or above.

We use str_replace() with 4th paramenter which appears only in PHP 5.0


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites
Thanks Simon, but now already ver 1.0.6, latest version. y need to install old version? or u mean install ver 0.4, old version first, then update with version 1.0.6? but how?

 

can you pls give me more details on that, Pls?

 

thanks

 

Hi brucelim

 

1) I have had to stop and reload my os due to other prob's

but yes as I have ver 0.4 working ok, I was going to try and upgrade one version at a time.

but dont now if it will work as I have not do it yet.

 

2) as Quoted in the readme file in ver 0.4 by (the good) Rinon

 

-----------------How to upgrade Contrib Installer from version 0.2----------------------------------------

 

* STEP 1 * - Copy the catalog/admin/contrib_installer.php file to your osCommerce directory.

 

* STEP 2 * - (OPTIONAL) Run these sql queries:

UPDATE installed_contributions SET last_update = '2005-07-22' WHERE contr_ref = '3286';

--------------------------------------------------------------------------------------------------------------------

 

simon

Share this post


Link to post
Share on other sites

hi, i face below problem.. n i had reader the second topic said we need php 5.0... but for refer to my service provider they not update yet, any others solution to solve that?

 

Installing Contribution: Contrib_Installer_1.0.6

From install file: /home/theshop/domains/theshop.com.my/public_html/catalog/admin/contributions/Contrib_Installer_1.0.6/install.xml

Author:

modified from version 0.5 to 1.0.5 by Vlad Savitsky (http://solti.com.ua)

Comments:

osCommerce Forums: http://forums.oscommerce.com/index.php?showtopic=156667

Checking config file:

File install.xml is valid.

Checking permissions:

Permissions is OK.

Warning: Wrong parameter count for str_replace() in /home/theshop/domains/theshop.com.my/public_html/catalog/admin/includes/functions/conflicts_check.php on line 82

 

Warning: Wrong parameter count for str_replace() in /home/theshop/domains/theshop.com.my/public_html/catalog/admin/includes/functions/conflicts_check.php on line 82

 

Warning: Wrong parameter count for str_replace() in /home/theshop/domains/theshop.com.my/public_html/catalog/admin/includes/functions/conflicts_check.php on line 138

 

Warning: Wrong parameter count for str_replace() in /home/theshop/domains/theshop.com.my/public_html/catalog/admin/includes/functions/conflicts_check.php on line 138

 

Warning: Wrong parameter count for str_replace() in /home/theshop/domains/theshop.com.my/public_html/catalog/admin/includes/functions/conflicts_check.php on line 138

 

Warning: Wrong parameter count for str_replace() in /home/theshop/domains/theshop.com.my/public_html/catalog/admin/includes/functions/conflicts_check.php on line 138

Checking conflicts:

No conflicts.

Backup:

6 files to /home/theshop/domains/theshop.com.my/public_html/catalog/admin/backups/Contrib_Installer_1.0.6/

PHP runtime messages:

Done.

1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1

 

);

[CONTRIB INSTALLER TEP STOP

Share this post


Link to post
Share on other sites

Ok.

I'll try to change code to resolve problem with PHP 5.0 tonight.


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites

I am very very new to contributions and forums and I have installed Contrib Installer 1.0.7, but I am getting and error "The page you have requested requires your browser to support cookies. Please enable cookie support in your browser, and try again."

 

I have cookies enabled and I've added my site to trusted sites to allow, but still having the same problem.

 

Could someone tell me what else I need to do?

 

Thank you in advance.


Sonia,

Share this post


Link to post
Share on other sites
Dam same problem here,

PHP Version 4.3.11 i have contacted my host to see if i can get them to upgrade.

 

I can?t believe my webhost provider wants to charge me $30.00 to upgrade to php 5.0 on a shared server.

 

Subject: php

Description: do you have any plans to upgrade to php 5.0 from PHP Version 4.3.11

Replies: 2006-01-18 10:39am by tom - Hello,

PHP5 is available as an upgrade. XXX has introduced it 2 m onths ago. You can find the upgrade inside your user's area at:

The upgrade costs $30.

Let us know if you need anything else.

Best Regards,

Share this post


Link to post
Share on other sites

Heres what I get on this.

 

Installing Contribution: Contrib_Installer_1.0.7From install file: /home/********/public_html/admin/contributions/Contrib_Installer_1.0.7/install.xmlAuthor: modified from version 0.5 to 1.0.5 by Vlad Savitsky (http://solti.com.ua)

Comments: osCommerce Forums: http://forums.oscommerce.com/index.php?showtopic=156667

Checking config file: File install.xml is valid.Checking permissions: Permissions is OK.

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 82

 

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 90

 

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 148

 

Warning: Wrong parameter count for str_replace() in /home/********/public_html/admin/includes/functions/conflicts_check.php on line 155

Checking conflicts:Couldn't find (findreplace #1) in the file: /home/********/public_html/admin/index.php

array('title' => TOOLS_BACKUP, 'link' => tep_href_link(FILENAME_BACKUP, 'selected_box=tools')),

 

 

Couldn't find (addcode #1) in the file: /home/********/public_html/admin/includes/boxes/tools.php

] = array('text' =>

 

Thank you,

Michael


Michael

Share this post


Link to post
Share on other sites

Uploaded NEW version of Contrib Installer - 1.0.8

 

Changes since 1.0.7:

 

- Fixed a problem with 4th parameter $count in srt_replace() which available only PHP 5.0 and above. (Problem reported on forum).

 

- Fixed bug which don't print a line numbers in findreplace on conflicts check stage.

 

- Fixed bug which apears when we remove Contrib Installer. We remove table and after it tries to delete from this table some data.

 

- Removed files that belong to Contribution_Control_Bookmark_MOD-0.1.4. Also removed data from install.xml.

 

:thumbsup:


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites

Hi, i facing this error during installing 1.0.8, what should i do?

 

Checking conflicts:

 

Not original text in find-section. Have been found 2 times!!!

(findreplace #1) in the file: /home/theshop/domains/theshop.com.my/public_html/catalog/admin/includes/boxes/tools.php

] = array('text' =>

 

Pls help thanks

 

2nd. Vlad Savitsky "YOU ARE THE BEST !!"

 

 

 

:thumbsup:

Share this post


Link to post
Share on other sites

Receiving the following error when installing the contrib installer, please advise.

 

 

Not original text in find-section. Have been found 2 times!!!

(findreplace #1) in the file: /home/.../catalog/admin/includes/boxes/tools.php

] = array('text' =>

Share this post


Link to post
Share on other sites
Receiving the following error when installing the contrib installer, please advise.

Not original text in find-section. Have been found 2 times!!!

(findreplace #1) in the file: /home/.../catalog/admin/includes/boxes/tools.php

] = array('text' =>

I'm also getting this error... We're so close!!

Share this post


Link to post
Share on other sites

I've installed the new version of Contrib Installer - 1.0.8 and I'm running PHP version 5, but still I am getting the same error

 

"The page you have requested requires your browser to support cookies. Please enable cookie support in your browser, and try again. "

 

I have cookies enables and have added my site to the trusted sites and still nothing. Could someone please tell me what I should check.

 

Thank you,

Sonia


Sonia,

Share this post


Link to post
Share on other sites

Hi,

I've installed the new version of Contrib Installer - 1.0.8 and I'm running PHP version 5, but still I am getting the same error

 

"The page you have requested requires your browser to support cookies. Please enable cookie support in your browser, and try again. "

 

I have cookies enables and have added my site to the trusted sites and still nothing. Could someone please tell me what I should check.

 

This is not a Conrtib Installer problem.

And nor 1.0.8 nor PHP 5 will not resolve it. As you already know.

 

osCommerce uses sessions so cookies must be enable.

Try another browser: opera, mozilla, firefox, etc.


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites
Checking conflicts:

 

Not original text in find-section. Have been found 2 times!!!

(findreplace #1) in the file: /home/theshop/domains/theshop.com.my/public_html/catalog/admin/includes/boxes/tools.php

] = array('text' =>

 

This means that string have been found several times but must be only one.

 

Why?

In fresh file from osCommerce this line really exists 2 times.

It's a bug. Must be fixed. How It works on my mashine?!!

:huh:


===============================

Never give up! Never give up! Never give up!

Share this post


Link to post
Share on other sites
This means that string have been found several times but must be only one.

 

Why?

In fresh file from osCommerce this line really exists 2 times.

It's a bug. Must be fixed. How It works on my mashine?!!

:huh:

 

 

So, how do you fix this bug?

Share this post


Link to post
Share on other sites
So, how do you fix this bug?
I seem to have gotten somewhere...

 

in tools.php...

$heading[] = array('text'  =>
BOX_HEADING_TOOLS, 'link'  => tep_href_link(FILENAME_BACKUP, 'selected_box=tools'));
 if ($selected_box == 'tools') {

$contents[] = array('text'  =>
'<a href="' . tep_href_link(FILENAME_BACKUP) . '" class="menuBoxContentLink">' . BOX_TOOLS_BACKUP . '</a><br>' .

The problem is when the install file tries to find and replace code in tools.php and looks for ] = array('text' => and finds 2 sets. By changing the first value 'text' to something like 'header', it narrows the file's search to the correct match.

 

This works for the most part (be sure to change it back after the install if you go with this) but I am still getting an error as shown below.

 

Checking config file:
File install.xml is valid.
Checking permissions:
Permissions is OK.
Checking conflicts:
No conflicts.
Backup:
6 files to /home/*******/store/admin/backups/Contrib_Installer_1.0.8/
PHP runtime messages:

Done.
1064 - You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1

);
[CONTRIB INSTALLER TEP STOP]

 

So still no luck! :P Hopefully someone will get another step further lol

Edited by Caliburated

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×